了解新的 Picker API 和重要的 Library API 变更。如需了解详情,请点击
此处。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Google Photos Picker API
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
查看您从 Google 相册媒体库中选择的照片。
服务:photospicker.googleapis.com
服务端点
服务端点是指定 API 服务的网络地址的基本网址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:
https://photospicker.googleapis.com
| 方法 |
create |
POST /v1/sessions
生成一个新会话,在该会话期间,用户可以选择要授予第三方访问权限的照片和视频。 |
delete |
DELETE /v1/sessions/{sessionId} 删除指定的会话。 |
get |
GET /v1/sessions/{sessionId}
检索指定会话的相关信息。 |
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-07-25。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["没有我需要的信息","missingTheInformationINeed","thumb-down"],["太复杂/步骤太多","tooComplicatedTooManySteps","thumb-down"],["内容需要更新","outOfDate","thumb-down"],["翻译问题","translationIssue","thumb-down"],["示例/代码问题","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2025-07-25。"],[],["The core content outlines how to interact with a service for accessing user-selected photos from Google Photos. It allows creation, deletion, and retrieval of sessions for photo selection via `v1.sessions` resource. The `v1.mediaItems` resource provides a method to list the media items (photos and videos) chosen by the user during a session. The service endpoint is `https://photospicker.googleapis.com`, and all related URIs are relative to this endpoint.\n"]]